## ros-humble-warehouse-ros-sqlite 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(warehouse_ros_sqlite VERSION 1.0.1)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(sqlite3_vendor REQUIRED)
find_package(SQLite3 REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem system thread)
find_package(class_loader REQUIRED)
find_package(OpenSSL REQUIRED)
find_package(rclcpp REQUIRED)
find_package(warehouse_ros REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/database_connection.cpp
  src/message_collection_helper.cpp
  src/metadata.cpp
  src/query.cpp
  src/result_iteration_helper.cpp
)
set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_VISIBILITY_PRESET hidden)
set_property(TARGET ${PROJECT_NAME} PROPERTY VISIBILITY_INLINES_HIDDEN ON)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>"
)
# generate macros for symbol visibility
include(GenerateExportHeader)
generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${PROJECT_NAME}/${PROJECT_NAME}_export.hpp)
target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
target_link_libraries(${PROJECT_NAME} OpenSSL::Crypto)

set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 14)
target_link_libraries(${PROJECT_NAME}
  SQLite::SQLite3
)
target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC ${Boost_INCLUDE_DIRS})
ament_target_dependencies(${PROJECT_NAME}
  class_loader
  rclcpp
  warehouse_ros
)

install(TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/${PROJECT_NAME}_export.hpp
  DESTINATION include/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(geometry_msgs REQUIRED)

  ament_add_gtest(DBConnection test/DatabaseConnection.cpp)
  target_link_libraries(DBConnection ${PROJECT_NAME})
  ament_add_gtest(SchemaVersion test/SchemaVersion.cpp)
  target_link_libraries(SchemaVersion ${PROJECT_NAME})

  ament_add_gtest(TestLoader test/TestLoader.cpp)
  target_link_libraries(TestLoader ${PROJECT_NAME})
  target_link_libraries(TestLoader ${Boost_LIBRARIES})

  ament_add_gtest(BusyHandler test/BusyHandler.cpp)
  target_link_libraries(BusyHandler ${PROJECT_NAME})
  target_link_libraries(BusyHandler ${Boost_LIBRARIES})

  find_package(ament_lint_auto REQUIRED)
  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_cpplint
  )
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_cpplint REQUIRED)
  ament_cpplint(FILTERS "-build/include_order")
endif()

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(
  ament_cmake
  rclcpp
  warehouse_ros
  class_loader
  OpenSSL
  sqlite3_vendor
  SQLite3
)

pluginlib_export_plugin_description_file(warehouse_ros sqlite_database_connection_plugin_description.xml)

ament_package()

=== debian/changelog ===
ros-humble-warehouse-ros-sqlite (1.0.3-1jammy) jammy; urgency=high

  * Add humble testing CI (#37 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/37>)
  * add missing stdlib include
  * disable header include order check
  * don't build warehouse_ros from source
  * Contributors: Bjar Ne, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 16 May 2022 21:00:00 -0000

ros-humble-warehouse-ros-sqlite (1.0.2-1jammy) jammy; urgency=high

  * Update CMakeLists.txt
  * Adapt github URLs in README
  * Fix whitespaces in codecov script
  * Enable pre-commit in CI
  * Enable prerelease tests
  * Add pre-commit config
  * Switch to upstream warehouse_ros
  * Contributors: Bjar Ne, Nisala Kalupahana

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 11 Oct 2021 21:00:00 -0000

ros-humble-warehouse-ros-sqlite (1.0.1-1jammy) jammy; urgency=high

  * ROS 2 Port
  * Remove duplicate header guard
  * Silence CMake warning
  * Delete LICENSE.txt
  * Add ROS2 launch config to README
  * partially update readme
  * Enable codecov
  * Switch to github workflow
  * Switch to sqlite3_vendor
  * Contributors: Bjar Ne

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 20 Jun 2021 21:00:00 -0000

ros-humble-warehouse-ros-sqlite (1.0.0-1jammy) jammy; urgency=high

  * version bump
  * add busy handler for concurrent writes to db
  * Test warehouse plugin loading
  * fix clang-format
  * Export interfaces (dllexport/visibility=hidden)
  * fix clang-tidy
  * Versioning of the database scheme
  * Adapt scheme to be more precise
  * Readme and notes on database schema
  * fix clang-format
  * Fix query with ordering
  * Use proper exception types
  * implemented dropping databases
  * Support multiple databases with name mangling
    The collection name and the database name are mangled and concatenated
    to support multiple databases.
    SQLite only supports one database per file.
  * rollback on initialization error
  * Fix validation of stored MD5 sum
  * SQL String escaping
  * query tests and bugfix
  * test change of metadata
  * test and fix Null value metadata handling
  * test and fix MD5 validation
  * local warehouse_ros package
  * Add first API test
  * more fixes
  * add clang-tidy config
  * clang-tidy fixes
  * fixes
  * enable travis
  * more stuff
  * initial commit
  * Contributors: Bjar Ne

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 13 Nov 2020 21:00:00 -0000

=== debian/control ===
Source: ros-humble-warehouse-ros-sqlite
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libsqlite3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto (>= 0.7.1) <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-class-loader, ros-humble-geometry-msgs <!nocheck>, ros-humble-rclcpp, ros-humble-sqlite3-vendor, ros-humble-warehouse-ros, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-humble-warehouse-ros-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-class-loader, ros-humble-rclcpp, ros-humble-warehouse-ros, sqlite3, ros-humble-ros-workspace
Description: Implementation of warehouse_ros for sqlite

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-warehouse-ros-sqlite//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-warehouse-ros-sqlite 1.0.5

=== debian/changelog ===
ros-humble-warehouse-ros-sqlite (1.0.5-1bookworm) bookworm; urgency=high

  * Fix package dependencies (#51 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/51>)
  * Silent gcc warning
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 01 Sep 2024 16:00:00 -0000

ros-humble-warehouse-ros-sqlite (1.0.4-1bookworm) bookworm; urgency=high

  * Fix column name escaping (#44 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/44>)
  * Update CI (#41 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/41>)
  * Contributors: Bjar Ne, Henning Kayser, Tyler Weaver, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 05 Aug 2024 16:00:00 -0000

ros-humble-warehouse-ros-sqlite (1.0.3-1bookworm) bookworm; urgency=high

  * Add humble testing CI (#37 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/37>)
  * add missing stdlib include
  * disable header include order check
  * don't build warehouse_ros from source
  * Contributors: Bjar Ne, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 16 May 2022 16:00:00 -0000

ros-humble-warehouse-ros-sqlite (1.0.2-1bookworm) bookworm; urgency=high

  * Update CMakeLists.txt
  * Adapt github URLs in README
  * Fix whitespaces in codecov script
  * Enable pre-commit in CI
  * Enable prerelease tests
  * Add pre-commit config
  * Switch to upstream warehouse_ros
  * Contributors: Bjar Ne, Nisala Kalupahana

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 11 Oct 2021 16:00:00 -0000

ros-humble-warehouse-ros-sqlite (1.0.1-1bookworm) bookworm; urgency=high

  * ROS 2 Port
  * Remove duplicate header guard
  * Silence CMake warning
  * Delete LICENSE.txt
  * Add ROS2 launch config to README
  * partially update readme
  * Enable codecov
  * Switch to github workflow
  * Switch to sqlite3_vendor
  * Contributors: Bjar Ne

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 20 Jun 2021 16:00:00 -0000

ros-humble-warehouse-ros-sqlite (1.0.0-1bookworm) bookworm; urgency=high

  * version bump
  * add busy handler for concurrent writes to db
  * Test warehouse plugin loading
  * fix clang-format
  * Export interfaces (dllexport/visibility=hidden)
  * fix clang-tidy
  * Versioning of the database scheme
  * Adapt scheme to be more precise
  * Readme and notes on database schema
  * fix clang-format
  * Fix query with ordering
  * Use proper exception types
  * implemented dropping databases
  * Support multiple databases with name mangling
    The collection name and the database name are mangled and concatenated
    to support multiple databases.
    SQLite only supports one database per file.
  * rollback on initialization error
  * Fix validation of stored MD5 sum
  * SQL String escaping
  * query tests and bugfix
  * test change of metadata
  * test and fix Null value metadata handling
  * test and fix MD5 validation
  * local warehouse_ros package
  * Add first API test
  * more fixes
  * add clang-tidy config
  * clang-tidy fixes
  * fixes
  * enable travis
  * more stuff
  * initial commit
  * Contributors: Bjar Ne

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 13 Nov 2020 16:00:00 -0000

=== debian/control ===
Source: ros-humble-warehouse-ros-sqlite
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto (>= 0.7.1) <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-class-loader, ros-humble-geometry-msgs <!nocheck>, ros-humble-rclcpp, ros-humble-sqlite3-vendor, ros-humble-warehouse-ros, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-humble-warehouse-ros-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-class-loader, ros-humble-rclcpp, ros-humble-sqlite3-vendor, ros-humble-warehouse-ros, ros-humble-ros-workspace
Description: Implementation of warehouse_ros for sqlite

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-warehouse-ros-sqlite//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-warehouse-ros-sqlite//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-warehouse-ros-sqlite//opt/ros/humble/opt/warehouse_ros_sqlite/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
